Page MenuHomePhabricator

Interactive maps get resized to a thumbnail
Closed, ResolvedPublic

Description

Edit in VE a page that already contains an interactive map. Don't change anything with the map, only add some text, and save. Result: The interactive map gets resized to a thumbnail. Refresh fixes it.

Event Timeline

Yurik created this task.Jan 29 2016, 10:14 PM
Yurik raised the priority of this task from to Needs Triage.
Yurik updated the task description. (Show Details)
Yurik added a project: Maps (Kartographer).
Yurik added subscribers: Yurik, Esanders, MaxSem.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptJan 29 2016, 10:14 PM
Yurik added a project: Maps.Feb 2 2016, 5:58 PM
Restricted Application added a project: Discovery. · View Herald TranscriptFeb 2 2016, 5:58 PM
Yurik moved this task from All map-related tasks to Kartographer on the Maps board.Feb 2 2016, 6:02 PM

Change 268068 had a related patch set uploaded (by Esanders):
wikipage.content hook: Wait until content is visible

https://gerrit.wikimedia.org/r/268068

Deskana moved this task from Needs triage to Maps on the Discovery board.Feb 3 2016, 6:14 PM

Change 268837 had a related patch set uploaded (by Esanders):
VE: Invisible map render fix

https://gerrit.wikimedia.org/r/268837

Esanders set Security to None.

Change 268837 merged by jenkins-bot:
VE: Invisible map render fix

https://gerrit.wikimedia.org/r/268837

Yurik closed this task as Resolved.Feb 5 2016, 11:45 PM
Yurik claimed this task.

I will close this here, but if/when upstream fixes the issue, we could revisit this. Thanks for figuring it out!

Change 268068 abandoned by Esanders:
wikipage.content hook: Wait until content is visible

Reason:
Hacked with I358d636edce and filed an upstream issue with Leaflet JS

https://gerrit.wikimedia.org/r/268068